package cz.moneta.test.dsl.ufo.operations.ufoOperations;

import cz.moneta.test.harness.context.StoreAccessor;
import cz.moneta.test.harness.endpoints.ufo.UfoEndpoint;
import cz.moneta.test.harness.support.web.CheckElementPresent;
import cz.moneta.test.harness.support.web.CustomAction;
import cz.moneta.test.harness.support.web.Until;
import cz.moneta.test.harness.support.web.Wait;
import cz.moneta.test.harness.support.web.WebFlow;


public interface KAL730_S001_CalculatorPage extends WebFlow<KAL730_S001_CalculatorPage>, StoreAccessor {

    String SEND_EMAIL_BUTTON = "KAL730_S001_B006";

    @Wait(value = SEND_EMAIL_BUTTON, until = Until.VISIBLE)
    @CheckElementPresent(SEND_EMAIL_BUTTON)
    KAL730_S001_CalculatorPage assertSendEmailButton();

    @CustomAction
    default KAL730_S001_CalculatorPage switchToModalWindow() {
        UfoEndpoint endpoint = getEndpoint(UfoEndpoint.class);
        endpoint.focusToNewPopup(10);
        return null;
    }
}
